<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class CustomerJournalTemp extends Model
{
    use HasFactory;

    protected $table = 'customer_journal_temps';
    protected $fillable = [
        'date',
        'customer_account_id',
        'narration',
        'reference',
        'currency_id',
        'tr_code',
        'amount',
        'status'
    ];

    public function customer()
    {
        return $this->belongsTo(CustomerAccount::class, 'customer_account_id');
    }

    public function currency()
    {
        return $this->belongsTo(Currency::class);
    }
     public function project()
    {
        return $this->belongsTo(Project::class);
    }
}